Issue 2269 rebase should warn about stolen patches at suspend, not unsuspend

Title rebase should warn about stolen patches at suspend, not unsuspend
Priority feature Status resolved
Milestone 2.12.0 Resolved in 2.12.0
Superseder Nosy List galbolle, ganesh, jaredj
Assigned To
Topics ProbablyEasy, Rebase, UI

Created on 2012-11-09.18:37:17 by galbolle, last changed 2015-10-23.06:07:06 by noreply.

msg16323 (view) Author: galbolle Date: 2012-11-09.18:37:16
1. Summarise the issue (what were doing, what went wrong?)

I suspended a patch by someone else. When I unsuspended the patch, darcs
asked me if I wanted to amend a patch by someone else. It was a bit too
late to do anything about that.

2. What behaviour were you expecting instead?

Darcs should have asked me: you're not Anais Bakounin, *suspend* anyway
msg16344 (view) Author: ganesh Date: 2012-11-11.18:11:50
Agreed, ought to be fairly easy to fix.
msg16654 (view) Author: ganesh Date: 2013-02-16.15:46:04
See also issue2276 for a UI improvement for the "stolen patches" warning.
msg18806 (view) Author: noreply Date: 2015-10-23.06:07:05
The following patch sent by Eric Kow <kowey@darcs.net> updated issue issue2269 with
status=resolved;resolvedin=2.12.0 HEAD

* resolve issue2269: push hijack test to suspend time 
Ignore-this: 91989c5260f79336e3adb5cb1a40bcc

This will happen after you've selected patches to suspend.
We assume here that unsuspend can then safely ignore the hijack

Note that this is a bit all-or-nothing. For fancier behaviour,
we would need to weave this into SelectChanges
Date User Action Args
2012-11-09 18:37:17galbollecreate
2012-11-11 18:11:52ganeshsetstatus: unknown -> needs-implementation
nosy: + ganesh
topic: + Rebase
messages: + msg16344
milestone: 2.10.0
2013-02-14 22:18:57ganeshsettopic: + ProbablyEasy
nosy: + jaredj
2013-02-16 14:55:18koweylinkissue2276 superseder
2013-02-16 14:56:02koweysetpriority: feature
topic: + UI
2013-02-16 15:45:37ganeshunlinkissue2276 superseder
2013-02-16 15:46:05ganeshsetmessages: + msg16654
2015-04-18 17:40:10ghsetmilestone: 2.10.0 -> 2.12.0
2015-10-23 06:07:06noreplysetstatus: needs-implementation -> resolved
messages: + msg18806
resolvedin: 2.12.0